<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
	
    include_once 'config/database.php';
    include_once 'class/articoli.php';
	
    $database = new Database();
    $db = $database->getConnection();
    $item = new Articoli($db);
	
    $data = json_decode(file_get_contents("php://input"));
	
    $item->codice = $data->codice;
    $item->descrizione = $data->descrizione;
    $item->quantita = $data->quantita;
    $item->created = date('Y-m-d H:i:s');
    $item->updated = date('Y-m-d H:i:s');
    
	$result = array();
	$result["result"] = "";
	$result["data"] = array();
	
    if($item->createArticolo()) {
		$result["result"] = 'Articolo inserito.';
		$result["data"] = array(
			"id" =>  $item->id,
			"codice" => $item->codice,
			"descrizione" => $item->descrizione,
			"quantita" => $item->quantita,
			"created" => $item->created,
			"updated" => $item->updated
		);
		http_response_code(201);
    } else {
		$result["result"] = 'Articolo non inserito.';
		http_response_code(500);
    }
	
	echo json_encode($result);
?>