<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
	
    include_once 'config/database.php';
    include_once 'class/articoli.php';
    
    $database = new Database();
    $db = $database->getConnection();
    $item = new Articoli($db);
    
    $data = json_decode(file_get_contents("php://input"));
    
	$item->id = isset($resource_id) ? $resource_id : die();
	
    $item->codice = $data->codice;
    $item->descrizione = $data->descrizione;
    $item->quantita = $data->quantita;
    $item->updated = date('Y-m-d H:i:s');
    
	$result = array();
	$result["result"] = "";
	$result["data"] = array();
	
    if($item->updateArticolo()) {
		$result["result"] = 'Articolo aggiornato.';
		$result["data"] = array(
			"id" =>  $item->id,
			"codice" => $item->codice,
			"descrizione" => $item->descrizione,
			"quantita" => $item->quantita,
			"updated" => $item->updated
		);
		http_response_code(200);
    } else {
        $result["result"] = 'Articolo non aggiornato.';
		http_response_code(500);
    }
	
	echo json_encode($result);
?>