<?php
header("Content-type:application/json");

include_once 'config/database.php';
include_once 'class/articoli.php';

$http_verb = $_SERVER['REQUEST_METHOD'];

if (in_array($http_verb, array("GET","POST","PATCH","DELETE"))) {
    foreach($_GET as $key => $value) {
        $params[$key] = $value;
    }
}

$request = explode('/', $_REQUEST['request']);
$resource = $request[0];

if (isset($request[1])) {
    $resource_id = $request[1];
} else {
    $resource_id = '';
}

switch($http_verb) {
	case 'GET':
		if (!empty($resource_id)) {
			require_once('api/'.$resource.'/read.php');
		} else {
			require_once('api/'.$resource.'/readAll.php');
		}
		break;
	
	case 'POST':
		if ($params['op'] == 'create') {
			require_once('api/'.$resource.'/create.php');
		}
		break;
	
	case 'PATCH':
		if (!empty($resource_id)) {
			require_once('api/'.$resource.'/update.php');
		}
		break;
	
	case 'DELETE':
		if (!empty($resource_id)) {
			require_once('api/'.$resource.'/delete.php');
		}
		break;
}

?>