<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
	
    include_once 'config/database.php';
    include_once 'class/articoli.php';
    
    $database = new Database();
    $db = $database->getConnection();
    
    $item = new Articoli($db);

	$item->id = isset($resource_id) ? $resource_id : die();
    
	$result = array();
	$result["result"] = "";
	
    if($item->deleteArticolo()) {
		$result["result"] = 'Articolo cancellato.';
		http_response_code(200);
    } else {
		$result["result"] = 'Articolo non cancellato.';
		http_response_code(500);
    }
	
	echo json_encode($result);
?>