<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
	
    include_once 'config/database.php';
    include_once 'class/articoli.php';
	
    $database = new Database();
    $db = $database->getConnection();
    $item = new Articoli($db);

    $item->id = isset($resource_id) ? $resource_id : die();
  
  	$result = array();
	$result["result"] = "";
	$result["data"] = array();
  
    $item->getArticolo();
    if($item->codice != null) {
        $result["data"] = array(
            "id" =>  $item->id,
            "codice" => $item->codice,
            "descrizione" => $item->descrizione,
            "quantita" => $item->quantita,
            "created" => $item->created,
            "updated" => $item->updated
        );
		$result["result"] = 'Articolo trovato.';
        http_response_code(200);
    }
    else {
		$result["result"] = 'Articolo non trovato.';
        http_response_code(404);
    }
	
	echo json_encode($result);
?>